%define name perl-Inline
%define realname Inline
%define version 0.44
%define release 5mdk

Summary: Write Perl subroutines in other programming languages
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group: Development/Perl
Source: %{realname}-%{version}.tar.bz2
URL: http://search.cpan.org/dist/%{realname}/
Patch0: Inline-0.44-fix-underscore-localization.patch.bz2
BuildRequires: perl-devel perl-Parse-RecDescent
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}

%description
The Inline module allows you to put source code from other programming
languages directly "inline" in a Perl script or module. The code is
automatically compiled as needed, and then loaded for immediate access
from Perl.

Inline saves you from the hassle of having to write and compile your
own glue code using facilities like XS or SWIG. Simply type the code
where you want it and run your Perl as normal. All the hairy details
are handled for you. The compilation and installation of your code
chunks all happen transparently; all you will notice is the delay of
compilation on the first run.

The Inline code only gets compiled the first time you run it (or
whenever it is modified) so you only take the performance hit
once. Code that is Inlined into distributed modules (like on the CPAN)
will get compiled when the module is installed, so the end user will
never notice the compilation time.

%prep
%setup -q -n Inline-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
%{perl_vendorlib}/Inline*
%{perl_vendorlib}/auto/Inline*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.44-5mdk
- Rebuild for new perl

* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.44-4mdk
- use %%perl_vendorlib

* Thu Aug 14 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.44-3mdk
- rebuild for new perl (test don't all pass, disabling them, seems
  it really does work)

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.44-2mdk
- fix arch
- rebuild for new auto{prov,req}

* Mon Nov 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.44-1mdk
- first mdk package
